package cn.iocoder.yudao.framework.sms.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 返回状态
 *
 * @author Jayden
 * @date 2024/11/23
 */
@Getter
@AllArgsConstructor
public enum YCloudReceiveStatusEnum {

    ACCEPTED("accepted", "The messaging request is accepted by our system."),
    FAILED("failed", "A message sent by your business failed to send."),
    SENT("sent", "A message sent by your business is in transit within WhatsApp's systems."),
    DELIVERED("delivered", "A message sent by your business was delivered to the user's device."),
    READ("read", "A message sent by your business was read by the user.");

    private final String code;
    private final String description;
}
